[dogfood] find dialog replaces content window

VERIFIED FIXED in M13

Status

P2
major
VERIFIED FIXED
19 years ago
14 years ago

People

(Reporter: buster, Assigned: travis)

Tracking

Trunk
x86
Other

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [PDT+] needs estimated fix date.... How about today? It's fixed. :), URL)

(Reporter)

Description

19 years ago
1. open the browser to the default page
2. File > Open Web Location
3. enter a url (I used www.vanguard.com fwiw)
4. click the "open in new window" box
5. the new window opens, the url loads properly
6. Search > Find On This Page
7. The find dialog replaces the newly-opened window, rather than popping up in a
dialog!
(Reporter)

Updated

19 years ago
Summary: find dialog replaces content window → [dogfood] find dialog replaces content window
(Reporter)

Comment 1

19 years ago
I use multiple browser windows all the time, and this looks aweful.  Proposing
for dogfood.

Updated

19 years ago
Whiteboard: [PDT+]

Comment 2

19 years ago
Regression==PDT+

Updated

19 years ago
Assignee: leger → hyatt

Updated

19 years ago
Status: NEW → RESOLVED
Last Resolved: 19 years ago
Resolution: --- → DUPLICATE

Comment 3

19 years ago
*** This bug has been marked as a duplicate of 20493 ***

Updated

19 years ago
Status: RESOLVED → REOPENED
QA Contact: leger → paulmac

Comment 4

19 years ago
20493 has been marked fixed, but this still happens with 121411 build on Windows
and Linux, so re-opening. Note, this only happens with File Open Web Location,
not File New Navigator Window.

Is this really dogfood? Workaround is to use New Navigator Window then enter the
URL you want.

Updated

19 years ago
Resolution: DUPLICATE → ---

Updated

19 years ago
Priority: P3 → P2
Whiteboard: [PDT+] → [PDT+] needs estimated fix date
Target Milestone: M13

Comment 5

19 years ago
targetting p2 for m13, needs estimated fix date.

Updated

19 years ago
Assignee: hyatt → travis
Status: REOPENED → NEW

Comment 6

19 years ago
This is not my bug.  Reassigning to travis.
(Assignee)

Updated

19 years ago
Status: NEW → ASSIGNED
(Assignee)

Comment 7

19 years ago
I have a fix in hand....  The patch is:

===================================================================
RCS file: /cvsroot/mozilla/xpfe/components/find/src/nsFindComponent.cpp,v
retrieving revision 1.38
diff -u -r1.38 nsFindComponent.cpp
--- nsFindComponent.cpp 1999/11/16 20:05:19     1.38
+++ nsFindComponent.cpp 1999/12/15 00:15:37
@@ -795,9 +795,9 @@
                     void *stackPtr;
                     jsval *argv = JS_PushArguments( jsContext,
                                                     &stackPtr,
-                                                    "svs%ip",
+                                                    "sss%ip",
                                                     url,
-                                                    JSVAL_NULL,
+                                                    "_blank",
                                                     "chrome,resizable=no,depend
ent=yes",
                                                     (const nsIID*)(&nsISearchCo
ntext::GetIID()),
                                                     (nsISupports*)arg );

===================================================================
RCS file: /cvsroot/mozilla/xpfe/browser/resources/content/openLocation.js,v
retrieving revision 1.6
diff -u -r1.6 openLocation.js
--- openLocation.js     1999/11/06 03:39:29     1.6
+++ openLocation.js     1999/12/15 00:16:32
@@ -77,7 +77,7 @@
                browser.loadUrl( url );
        } else {
                /* User wants new window. */
-        window.opener.openDialog( "chrome://navigator/content/navigator.xul", n
ull, "all,dialog=no", url );
+        window.opener.openDialog( "chrome://navigator/content/navigator.xul", "
_blank", "all,dialog=no", url );
        }

        return true;
(Assignee)

Comment 8

19 years ago
BTW, this also fixes a bug where if you did Open Location with "open in new
window" clicked it would open into the same new window each time.  Not sure if
there is a bug number for that....

Comment 9

19 years ago
The fix is correct.  I missed these two "open" calls when I changed lots of
others a while back.  Thanks, Travis.
(Assignee)

Updated

19 years ago
Status: ASSIGNED → RESOLVED
Last Resolved: 19 years ago19 years ago
Resolution: --- → FIXED
Whiteboard: [PDT+] needs estimated fix date → [PDT+] needs estimated fix date.... How about today? It's fixed. :)

Updated

19 years ago
Status: RESOLVED → VERIFIED

Comment 10

19 years ago
verified fixed with 12/15 builds
Product: Browser → Seamonkey
You need to log in before you can comment on or make changes to this bug.